CFML Twilio Library 1.0

## TwilioLib
Class TwilioLib

    WEB-INF.cftags.component
            twilio.TwilioLib

    public class TwilioLib

extends WEB-INF.cftags.component

Base lib

Constructor Summary
`init(any accountSid, any authToken, [any ApiVersion='[runtime expression]'], [any EndPoint='[runtime expression]'], [string DefaultReturnFormat='[runtime expression]'])`

Method Summary
`any` | `getUtils()` Creates a new Twilio utility object
`any` | `newRequest(string Resource, string Method='GET', struct Vars='[runtime expression]')` Creates a new REST request object
`any` | `newResponse()` Creates a new TwiML response object

Methods inherited from class WEB-INF.cftags.component
``

Constructor Detail

### init

`public init(any accountSid, any authToken, [any ApiVersion='[runtime expression]'], [any EndPoint='[runtime expression]'], [string DefaultReturnFormat='[runtime expression]'])`

  Parameters:
    `accountSid` - The AccountSid provided by Twilio.
    `authToken` - The AuthToken provided by Twilio.
    `ApiVersion` - The version of the Twilio API to be used.
    `EndPoint` - The Twilio API endpoint.
    `DefaultReturnFormat` - The default return format that should be used. This can be overridden in for REST request as well.

Method Detail

### getUtils

`public any getUtils()`

  Creates a new Twilio utility object.

### newRequest

`public any newRequest(string Resource, string Method='GET', struct Vars='[runtime expression]')`

  Creates a new REST request object.

Parameters:
  `Resource` - The resource that is to be consumed.
  `Method` - The HTTP method to be used.
  `Vars` - Any variables that are to be sent with the request.

### newResponse

`public any newResponse()`

  Creates a new TwiML response object.

CFML Twilio Library 1.0